Bug 446785 - Previewed message not distinguishable in the list
Previewed message not distinguishable in the list
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gtk-nodoka-engine (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Martin Sourada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-15 20:24 EDT by Bojan Smojver
Modified: 2008-07-31 21:46 EDT (History)
0 users

See Also:
Fixed In Version: 0.7.1-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-31 21:46:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example of the previewed messaged being "hidden" in the list (170.55 KB, image/png)
2008-05-15 20:24 EDT, Bojan Smojver
no flags Details

  None (edit)
Description Bojan Smojver 2008-05-15 20:24:34 EDT
Description of problem:
Currently previewed message in Evolution folder is not easily distinguishable
from the other messages in the message list, making it visually very hard to
find where you are. See the attached image.


Version-Release number of selected component (if applicable):
0.3.90-1.fc9

How reproducible:
Always.

Steps to Reproduce:
1. Select a message in Evolution folder. Make sure preview is turned on.
2. Go to another folder.
3. Return to previous folder, look at the list of messages and try to find the
current one (i.e. the one that's being previewed).
  
Actual results:
Can't see which message is actually being displayed in preview pane.

Expected results:
Was OK in F8.

Additional info:
Comment 1 Bojan Smojver 2008-05-15 20:24:34 EDT
Created attachment 305566 [details]
Example of the previewed messaged being "hidden" in the list
Comment 2 Martin Sourada 2008-05-17 15:34:31 EDT
Yeah, I am aware of this issue and even know what needs to be changed in order
to fix it. However, it then changes background of the folder stats that are
above the treeview with folders. There are some changes in Evolution that caused
this. Try Clearlooks theme to see what's the difference I speak about. Changing
the component to gtk-engine-nodoka (nodoka-theme-gnome contains metacity and
gnome metatheme only), but perhaps changing it to evolution would make more sense...

Any thoughts on this? What would you prefer? The workaround used in clearlooks
or nodoka setting?
Comment 3 Martin Sourada 2008-05-17 15:53:59 EDT
Actually changing to the gtk-nodoka-engine... For some reason I was unable to do so in Epiphany under 
F9. Also changing version to 9 as it's problem in Fedora 9, not Fedora 8 (as also metioned in the initial 
report).
Comment 4 Bojan Smojver 2008-05-17 18:34:36 EDT
Sorry, did I select 8 there? I meant 9.

When I switch to Clearlooks, the current row is clearly visible - that's a good
thing. I personally don't mind the fact that the folder stats area changes
colour as well.
Comment 5 Bojan Smojver 2008-06-05 22:59:51 EDT
Ping...
Comment 6 Martin Sourada 2008-06-06 03:56:30 EDT
Uhm... sorry, I haven't had time to fix it yet. But don't worry, I haven't
forget ;-)
Comment 7 Bojan Smojver 2008-07-06 18:57:37 EDT
Sorry to be a pest. Just another ping...
Comment 8 Martin Sourada 2008-07-07 03:54:53 EDT
Uhm, sorry to be so slacky... I really really really fix this this week.
Comment 9 Martin Sourada 2008-07-22 15:47:27 EDT
Sorry for the slow response. I've just came with a way that both fixes this
issue and leaves folder stats are as is. I'll release new nodoka release with
this and abother batch of fixes and build it into fedora later today.
Comment 10 Fedora Update System 2008-07-22 17:33:56 EDT
gtk-nodoka-engine-0.7.1-1.fc9 has been submitted as an update for Fedora 9
Comment 11 Bojan Smojver 2008-07-22 23:10:18 EDT
Wonderful, thank you!
Comment 12 Fedora Update System 2008-07-23 22:12:31 EDT
gtk-nodoka-engine-0.7.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gtk-nodoka-engine'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6688
Comment 13 Fedora Update System 2008-07-31 21:46:49 EDT
gtk-nodoka-engine-0.7.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.